## org.apache.lucene.store.instantiated
Class InstantiatedTermFreqVector

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermFreqVector

All Implemented Interfaces:
  java.io.Serializable, TermFreqVector

Direct Known Subclasses:
  InstantiatedTermPositionVector

    public class InstantiatedTermFreqVector

extends java.lang.Object
implements TermFreqVector, java.io.Serializable

Vector space view of a document in an `InstantiatedIndexReader`.

See Also:
  `TermFreqVector`, Serialized Form

Constructor Summary
`InstantiatedTermFreqVector(InstantiatedDocument document, java.lang.String field)`

Method Summary
`java.lang.String` `getField()` The `Fieldable` name.
`java.util.List<InstantiatedTermDocumentInformation>` `getTermDocumentInformations()`
`int[]` `getTermFrequencies()` Array of term frequencies.
`java.lang.String[]` `getTerms()`
`int[]` `indexesOf(java.lang.String[] termNumbers, int start, int len)` Just like `indexOf(int)` but searches for a number of terms at the same time.
`int` `indexOf(java.lang.String termText)` Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears.
`int` `size()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiatedTermFreqVector

    public InstantiatedTermFreqVector(InstantiatedDocument document,
                                      java.lang.String field)

Method Detail

### getField

    public java.lang.String getField()

  Description copied from interface: `TermFreqVector`
  The `Fieldable` name.

  Specified by:
    `getField` in interface `TermFreqVector`
  Returns:
    The number of the field this vector is associated with

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### size

    public int size()

  Specified by:
    `size` in interface `TermFreqVector`
  Returns:
    The number of terms in the term vector.

### getTerms

    public java.lang.String[] getTerms()

  Specified by:
    `getTerms` in interface `TermFreqVector`
  Returns:
    An Array of term texts in ascending order.

### getTermFrequencies

    public int[] getTermFrequencies()

  Description copied from interface: `TermFreqVector`
  Array of term frequencies. Locations of the array correspond one to one to the terms in the array obtained from `getTerms` method. Each location in the array contains the number of times this term occurs in the document or the document field.

  Specified by:
    `getTermFrequencies` in interface `TermFreqVector`

### indexOf

    public int indexOf(java.lang.String termText)

  Description copied from interface: `TermFreqVector`
  Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears. If this term does not appear in the array, return -1.

  Specified by:
    `indexOf` in interface `TermFreqVector`

### indexesOf

    public int[] indexesOf(java.lang.String[] termNumbers,
                           int start,
                           int len)

  Description copied from interface: `TermFreqVector`
  Just like `indexOf(int)` but searches for a number of terms at the same time. Returns an array that has the same size as the number of terms searched for, each slot containing the result of searching for that term number.

  Specified by:
    `indexesOf` in interface `TermFreqVector`
  Parameters:
    `termNumbers` - array containing terms to look for
    `start` - index in the array where the list of terms starts
    `len` - the number of terms in the list

### getTermDocumentInformations

    public java.util.List<InstantiatedTermDocumentInformation> getTermDocumentInformations()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.